org.apache.ivy.core.pack

## Class ZipPacking

- java.lang.Object
- - org.apache.ivy.core.pack.ArchivePacking
  - - org.apache.ivy.core.pack.ZipPacking

Direct Known Subclasses:
  OsgiBundlePacking

    public class ZipPacking
    extends ArchivePacking

### Constructor Summary

Constructors
Constructor and Description
`ZipPacking()`

### Method Summary

Methods
`java.lang.String[]` `getNames()`
`java.lang.String` `getUnpackedExtension(java.lang.String ext)`
`void` `unpack(java.io.InputStream packed, java.io.File dest)`
`protected void` `writeFile(java.io.InputStream zip, java.io.File f)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZipPacking

    public ZipPacking()

### Method Detail

#### getNames

    public java.lang.String[] getNames()

Specified by:
  `getNames` in class `ArchivePacking`

#### getUnpackedExtension

    public java.lang.String getUnpackedExtension(java.lang.String ext)

Specified by:
  `getUnpackedExtension` in class `ArchivePacking`

#### unpack

    public void unpack(java.io.InputStream packed,
              java.io.File dest)
                throws java.io.IOException

Specified by:
  `unpack` in class `ArchivePacking`
Throws:
  `java.io.IOException`

#### writeFile

    protected void writeFile(java.io.InputStream zip,
                 java.io.File f)
                      throws java.io.FileNotFoundException,
                             java.io.IOException

Throws:
  `java.io.FileNotFoundException`
  `java.io.IOException`